/* Elessar theme.
 *
 * Copyright (C) 1999, 2000 The SourceForge Crew
 * Copyright (C) 2000-2006 Mathieu Roy <yeupou--gnu.org>
 * Copyright (C) 2014, 2016, 2017 Assaf Gordon
 * Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler
 * Copyright (C) 2013, 2014, 2017-2025 Ineiev
 *
 * This file is part of Savane.
 *
 * Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
 * under the terms of the GNU General Public license version 3 or (at your
 * option) any later version; further contributions are covered by
 * the GNU Affero General Public license version 3 or (at your option)
 * any later version.  The license notices for the AGPL and the GPL follow.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

/* GUIDELINES VERSION FOLLOWED: 1.18 */

@import "internal/base.css";

/* Very basic (mostly text) items: */

body {
  margin-top: 1%;
  margin-left: 1%;
  margin-right: 1%;
  margin-bottom: 1%;
  background-color: #ffe3c4;
  color: #cab79f;
}
a { color: black; }
a:hover { text-decoration: none; }

div.realbody a { text-decoration: none; color: #ffce96;}
div.realbody a:hover { text-decoration: underline; }
div.realbody a:active { color: #ffe6c9; }

.unavailable, .unavailable:hover
{
  font-style: italic;
  color: #cab79f;
}
.unavailable:active { color: red; }

.footer { font-size: x-small; color: #7c7c7c; }
.warn { color: white; }
.error { font-weight: bold; color: white; }




/**********************************************************************
 *
 * Alignment, main tables
 *
 **********************************************************************/

.realbody {
  border-spacing: 0;
  border: thin solid black;
  background-color: #5b564c;
}

.main {
	margin-left: 160px;
}

/**********************************************************************
 *
 * Menus
 *
 **********************************************************************/

.menu {
	vertical-align: top;
	width: 150px;
	border-spacing:	0;
	border: none;
	font-size: small;
}

.menutitle {
	font-weight: bold;
	text-align: left;
        background-color: #cab79f;
        border: thin outset #cab79f;
        color: #5b564c;
}

.menuitem {
	vertical-align: middle;
	text-align: left;
	padding-right: 5px;
}


.topmenutitle {
        background-color: #cab79f;
        border: thin outset #cab79f;
        color: #5b564c;
	font-weight: bold;
}

ul.topmenuitemsubmenu {
	border: thin outset #746E61;
}

ul.topmenuitemsubmenu li {
	background-color: #746E61;
	border: thin solid #C0B6A0;
	border-top: none;
	border-left: 0.3em solid #A79E8B;
}

div.realbody li.topmenuitemsubmenu a:hover {
	text-decoration: underline;
}

li.topmenuitemsubmenu:hover {
	border-left: 0.3em solid #ffce96;
}


.topmenuitem {
	padding: 3px 2px 3px 10px;
}

.tabselect {
	font-style: italic;
        background-color: #827666;

}

.tabselect:hover {
	border-bottom: thin dotted #5b564c;
}


/**********************************************************************
 *
 * Boxes
 *
 **********************************************************************/

.boxtitle  {
	background-color: #feca6f;
        border: thin outset #feca6f;
	font-weight: bold;
	text-align: center;
	color: black;
}

.boxitem  {
	text-align: left;
}

.boxitemalt  {
	text-align: left;
	background-color: #777268;
}

.boxoptions  {
	text-align: left;
	background-color: #777268;
}

.boxhighlight  {
	text-align: left;
}

div.realbody .boxtitle a {
        color: #5b564c;
}

div.realbody .boxtitle a:hover {
        border-top: thin dotted #5b564c;
	border-bottom: thin dotted #5b564c;
}

/* Forms */
button,input
{
  background-color: #5b564c;
  color: #ffce96;
  border: thin solid #ffce96;
  padding: 2px;
}

select {
	background-color: #5b564c;
	color: #ffce96;
}

textarea {
	background-color: #5b564c;
	color: #ffce96;
}

/* Priorities */
.priora { background-color: #2b2923; border-top: 0; border-left: 0; border-top: 0; border-left: 0; }
.priorb { background-color: #3a3730; border-top: 0; border-left: 0; }
.priorc { background-color: #444139; border-top: 0; border-left: 0; }
.priord { background-color: #514d43; border-top: 0; border-left: 0; }
.priore { background-color: #5b564b; border-top: 0; border-left: 0; }
.priorf { background-color: #635e52; border-top: 0; border-left: 0; }
.priorg { background-color: #706a5d; border-top: 0; border-left: 0; }
.priorh { background-color: #7c7667; border-top: 0; border-left: 0; }
.priori { background-color: #898272; border-top: 0; border-left: 0; }

.prioraclosed { background-color: #2b2923; border-top: 0; border-left: 0; }
.priorbclosed { background-color: #3a3730; border-top: 0; border-left: 0; }
.priorcclosed { background-color: #444139; border-top: 0; border-left: 0; }
.priordclosed { background-color: #514d43; border-top: 0; border-left: 0; }
.prioreclosed { background-color: #5b564b; border-top: 0; border-left: 0; }
.priorfclosed { background-color: #635e52; border-top: 0; border-left: 0; }
.priorgclosed { background-color: #706a5d; border-top: 0; border-left: 0; }
.priorhclosed { background-color: #7c7667; border-top: 0; border-left: 0; }
.prioriclosed { background-color: #898272; border-top: 0; border-left: 0; }
